#import <UIKit/UIKit.h>
@class Item;

@interface AppDelegate : UIResponder <UIApplicationDelegate> {
    UIWindow *window;
    UIViewController *viewController;
    NSString *databaseName;
	NSString *databasePath;
    UINavigationController *navigationController;

	// Array to store the animal objects
	NSMutableArray *array;
	NSInteger rowID;
	NSString *name;
	NSString *address;
}

@property (strong, nonatomic) UIWindow *window;
@property (nonatomic, retain) IBOutlet UIViewController *viewController;
@property(nonatomic,retain)NSString *databaseName;
@property(nonatomic,retain)NSString *databasePath;
@property(nonatomic,retain)NSMutableArray *array;
@property (nonatomic, retain) IBOutlet UINavigationController *navigationController;

- (void) copyDatabaseIfNeeded;
- (NSString *) getDBPath;

//-(void)removeitem:(Item *)itemobj;
-(void)Additem:(Item *)itemobj;
-(void)removeitem:(Item *)itmObj;


@end
