//
//  Item.h
//  InsertData
//
//  Created by Sam Gupta on 28/01/11.
//  Copyright 2011 Cross. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <sqlite3.h>

@interface Item : UIView {
	NSInteger rowID;
	NSString *name;
	NSString *address;
	BOOL isDirty;
	BOOL isDetailViewHydrated;
	
}
@property (nonatomic, readonly) NSInteger rowID;
@property(nonatomic,copy)NSString *name;
@property(nonatomic,copy)NSString *address;
@property (nonatomic, readwrite) BOOL isDirty;
@property (nonatomic, readwrite) BOOL isDetailViewHydrated;

+ (void) getInitialDataToDisplay:(NSString *)dbPath;
+ (void) finalizeStatements;
- (id) initWithPrimaryKey:(NSInteger)pk;
-(void)addItem;
- (void) deleteItem;
@end
