//
//  ViewController.m
//  TweetAMeme
//
//  Created by Davide Di Febbo on 06/01/12.
//  Copyright (c) 2012 LOL s.p.a. All rights reserved.
//

#import "Memes.h"

@implementation Memes

//- (void)didReceiveMemoryWarning
//{
//    [super didReceiveMemoryWarning];
//    // Release any cached data, images, etc that aren't in use.
//}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    CGRect screenRect = [[UIScreen mainScreen] bounds];
    
    if (screenRect.size.height == 568.0f) {
        self.view.backgroundColor = [[UIColor alloc] initWithPatternImage:[UIImage imageNamed:@"Default-568h@2x.png"]];
    }
    else
    {
        self.view.backgroundColor = [[UIColor alloc] initWithPatternImage:[UIImage imageNamed:@"Default"]];
    }
    }

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 61;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
   
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = (UITableViewCell*)[tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    }
        
    NSString *nome = [NSString stringWithFormat:@"Meme %d.png", indexPath.row];
    cell.imageView.image = [UIImage imageNamed:nome];
    return cell;
} 

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    NSString *nome = [NSString stringWithFormat:@"Meme %d.png", indexPath.row];
    detailMeme.image = [UIImage imageNamed:nome];
    detailView.hidden=NO;
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
}

-(IBAction)hideDetail:(id)sender {
    [detailView setHidden:YES];
}

-(IBAction)dismiss {
    [self dismissViewControllerAnimated:YES completion:nil];
}

-(IBAction)tweetMeme {
     SLComposeViewController *tweetSheet = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeTwitter];
    [tweetSheet addImage:detailMeme.image];
    [self presentViewController:tweetSheet animated:YES completion:nil];
}

-(IBAction)postMeme {
    SLComposeViewController *tweetSheet = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeFacebook];
    [tweetSheet addImage:detailMeme.image];
    [self presentViewController:tweetSheet animated:YES completion:nil];
}

@end
