//
//  ViewController.h
//  CustomShare
//
//  Created by Davide Di Febbo on 12/07/12.
//  Copyright (c) 2012 LOL s.p.a. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Social/Social.h>
#import <MobileCoreServices/MobileCoreServices.h>
#import <MediaPlayer/MediaPlayer.h>
#import <Foundation/Foundation.h>
#import "AppDelegate.h"
#import "SecondViewController.h"
#import "Item.h"
#import "SVSegmentedControl.h"
#import <QuartzCore/QuartzCore.h>

@class Item;

#define IS_IPHONE (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPhone)


@interface ViewController : UIViewController <UIScrollViewDelegate, UINavigationControllerDelegate,UIImagePickerControllerDelegate, UIActionSheetDelegate, UIPopoverControllerDelegate, UITableViewDelegate, UITableViewDataSource> {
    int scrollMove;
    IBOutlet UIScrollView *scrollView;
    UIImagePickerController* picker;
    UIPopoverController* popoverController;
    AppDelegate *appdelegate;
	SecondViewController *viewController;
    IBOutlet UIView *photoService;
    IBOutlet UIView *musicService;
    IBOutlet UIView *infoView;
}

@property (nonatomic, retain) UIPopoverController *popoverController;

- (IBAction)DDF95:(id)sender;
- (IBAction)Gimmi94:(id)sender;
- (IBAction)CustomShareApp:(id)sender;
- (IBAction)sendMusicTweet:(id)sender;
- (IBAction)sendMusicPost:(id)sender;
- (IBAction)facebook:(id)sender;
- (IBAction)twitter:(id)sender;
- (void)segmentedControlChangedValue:(SVSegmentedControl*)segmentedControl;
-(IBAction)showMusicService:(id)sender;
-(IBAction)hideMusic:(id)sender;
-(IBAction)hidePhoto:(id)sender;

@end