//
//  Browser.m
//  CustomTweet
//
//  Created by Davide Di Febbo on 12/12/11.
//  Copyright (c) 2011 Apple Inc. All rights reserved.
//

#import "Browser.h"

@implementation Browser

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


- (void)viewDidLoad{
    NSString *indirizzo = @"http://www.google.com/";
	NSURL *url = [NSURL URLWithString:indirizzo];
	NSURLRequest *requestObj = [NSURLRequest requestWithURL:url];
	[webView loadRequest:requestObj];

    [super viewDidLoad];
    
    self.view.backgroundColor = [[UIColor alloc] initWithPatternImage:[UIImage imageNamed:@"Background.jpg"]];

}

- (void)viewDidUnload
{
    [super viewDidUnload];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
    
}

-(IBAction)dismiss {
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
	return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}
    
- (IBAction)sendUrlTweet:(id)sender {
    SLComposeViewController *tendinaTwitter = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeTwitter];    [tendinaTwitter addURL:webView.request.URL];
    [self presentViewController:tendinaTwitter animated:YES completion:nil];
}

- (IBAction)sendUrlPost:(id)sender {
    SLComposeViewController *tendinaFacebook = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeFacebook];    [tendinaFacebook addURL:webView.request.URL];
    [self presentViewController:tendinaFacebook animated:YES completion:nil];
}

@end
