//
//  SecondViewController.m
//  InsertData
//
//  Created by Sam Gupta on 28/01/11.
//  Copyright 2011 Cross. All rights reserved.
//

#import "SecondViewController.h"
#import "AppDelegate.h"
#import "Item.h"

@implementation SecondViewController
@synthesize txtName,txtAddress, cancel, save;
/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
    [save setImage:[UIImage imageNamed:@"Clicked Blue Button.png"] forState:UIControlStateSelected | UIControlStateHighlighted];
    [cancel setImage:[UIImage imageNamed:@"Clicked Blue Button.png"] forState:UIControlStateSelected | UIControlStateHighlighted];

}
- (IBAction) save_Clicked:(id)sender {
AppDelegate *appDelegate = (AppDelegate *)[[UIApplication sharedApplication] delegate];

//Create a Object.
	Item *Obj = [[Item alloc] initWithPrimaryKey:0];
  Obj.name = txtName.text;
	Obj.address=txtAddress.text;
	Obj.isDirty = NO;
	Obj.isDetailViewHydrated = YES;
	
	
//Add the object
	[appDelegate Additem:Obj];
	//NSLog(@"%@",[appDelegate Additem:Obj]);
//Dismiss the controller.
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (void) viewWillAppear:(BOOL)animated {
	[super viewWillAppear:animated];
	
	//Set the textboxes to empty string.
	txtName.text = @"";
	txtAddress.text = @"";
	
	//Make the coffe name textfield to be the first responder.
	[txtName becomeFirstResponder];
}

- (BOOL)textFieldShouldReturn:(UITextField *)theTextField {
	
	[theTextField resignFirstResponder];
	return YES;
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/
- (IBAction) cancel_Clicked:(id)sender {
	
    [self dismissViewControllerAnimated:YES completion:nil];
}


- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


@end
